#2941 NGP->rh6.2 diskless install get kernel panic

2.7.4
closed
5
2012-09-19
2012-06-15
BaiYuan
No

Diskless installation get kernel panic on ngpcmm01node01 while diskfull in ngpcmm01node01 is successful;
I tried to use the same diskless image and MN to install another node p7hv16s32p14 and it is successful;This defect is to monitor LTC defect state;

Er tao,
Could you please add comments about LTC defect number and state?

Error message:
sd 0:2:0:0: [sda] Write Protect is off
sd 0:2:0:0: [sda] Write cache: disabled, read cache: enabled, supports DPO and FUA
sda: sda1 sda2 sda3
sd 0:2:0:0: [sda] Attached SCSI disk

dracut Warning: No root device "1" found

dracut Warning: Boot has failed. To debug this issue add "rdshell" to the kernel command line.

dracut Warning: Signal caught!

dracut Warning: Boot has failed. To debug this issue add "rdshell" to the kernel command line.
Kernel panic - not syncing: Attempted to kill init!
Call Trace:
[c0000003b96afb10] [c000000000012ef4] .show_stack+0x74/0x1c0 (unreliable)
[c0000003b96afbc0] [c0000000005b4490] .panic+0x80/0x1b4
[c0000003b96afc50] [c0000000000979f0] .do_exit+0x860/0x870
[c0000003b96afd30] [c000000000097a50] .do_group_exit+0x50/0xf0
[c0000003b96afdc0] [c000000000097b04] .SyS_exit_group+0x14/0x30
[c0000003b96afe30] [c000000000008564] syscall_exit+0x0/0x40
Rebooting in 180 seconds..

Discussion

  • Bruce

    Bruce - 2012-06-22

    Update from guang cheng:

    I have been working with someone from China LTC team here quite a bit today, we
    figured out that the kernel parameter BOOTIF=<MAC Address=""> is causing this
    problem. If the MAC address is using upper case characters like
    00:00:C9:C6:6E:B2, kernel will be panic; if the MAC address is using lower case
    characters like 00:00:c9:c6:6e:b2, then the node could boot up successfully.

    I am thetrying to figure out why upper case mac address is causing
    problem on NGP and not causing problem on normal Power 7 partitions, but still
    have not found out any clue.

     
  • Bruce

    Bruce - 2012-06-22

    We agreed on the tuesday call that as a short term fix in 2.7.4, xcat code should lower case the macs when they are collected from firebirds. The long term fix should come from the LTC.

     
  • Guang Cheng Li

    Guang Cheng Li - 2012-06-27

    Er Tao has checked in the code to change the mac address to lower case characters in getmacs, also LTC team has fixed the issue and submitted the changes to RHEL 6.4. Even after RHEL 6.4 released, I do not think we will need to undo the xCAT changes, so put this bug into pending state.

     
  • BaiYuan

    BaiYuan - 2012-07-09

    verified in Version 2.7.4 (svn r13240, built Wed Jul 4 04:25:50 EDT 2012)

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks